> ## Documentation Index
> Fetch the complete documentation index at: https://docs.staminads.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Create a new workspace



## OpenAPI

````yaml openapi.json post /api/workspaces.create
openapi: 3.0.3
info:
  title: Staminads API
  description: Web analytics platform for tracking TimeScore metrics
  version: 1.0.0
servers:
  - url: https://your-instance.example.com
    description: Your Staminads instance
security: []
paths:
  /api/workspaces.create:
    post:
      tags:
        - workspaces
      summary: Create a new workspace
      operationId: WorkspacesController_create
      parameters: []
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/CreateWorkspaceDto'
      responses:
        '201':
          description: ''
          content:
            application/json:
              schema:
                type: object
components:
  schemas:
    CreateWorkspaceDto:
      type: object
      properties:
        id:
          type: string
          minLength: 2
          maxLength: 50
          pattern: /^[a-z][a-z0-9_]*$/
        name:
          type: string
        website:
          type: string
          format: uri
        timezone:
          type: string
        currency:
          type: string
        logo_url:
          type: string
          format: uri
        settings:
          $ref: '#/components/schemas/CreateWorkspaceSettingsDto'
      required:
        - id
        - name
        - website
        - timezone
        - currency
    CreateWorkspaceSettingsDto:
      type: object
      properties:
        timescore_reference:
          type: number
          minimum: 1
        bounce_threshold:
          type: number
          minimum: 1
        geo_enabled:
          type: boolean
        geo_store_city:
          type: boolean
        geo_store_region:
          type: boolean
        geo_coordinates_precision:
          type: number
          minimum: 0
          maximum: 2
        annotations:
          type: array
          items:
            $ref: '#/components/schemas/AnnotationDto'
    AnnotationDto:
      type: object
      properties:
        id:
          type: string
        date:
          type: string
        time:
          type: string
          pattern: /^([01]\d|2[0-3]):([0-5]\d)$/
        timezone:
          type: string
        title:
          type: string
          maxLength: 100
        description:
          type: string
          maxLength: 500
        color:
          type: string
          pattern: /^#[0-9A-Fa-f]{6}$/
      required:
        - id
        - date
        - time
        - timezone
        - title

````